/*
 * Copyright (C) SapphireCode - All Rights Reserved
 * This file is part of Snippeteer which is released under BSD-3-Clause.
 * See file 'LICENSE' for full license details.
 * Created by Timo Hocker <timo@scode.ovh>, June 2020
 */

/* eslint-disable max-len */
export function get_readme (
  software: string,
  description: string,
  dev: boolean,
  license: string,
  author: string
): string {
  return `# ${software}

version: 0.0.0

${description}

## Installation

npm:

> npm i --save${dev ? '-dev' : ''} ${software}

yarn:

> yarn add ${dev ? '--dev ' : ''}${software}

## Usage

TODO: Add usage

## License

${license} © ${author}
`;
}
